> ## Documentation Index
> Fetch the complete documentation index at: https://domoinc-openapi-sync-dataflows.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Streams

> Returns all Stream objects that meet argument criteria from original request.



## OpenAPI

````yaml /openapi/platform/stream.yaml GET /v1/streams/search
openapi: 3.1.0
info:
  title: Stream API
  version: '1.0'
  description: >
    The Stream API allows you to automate the creation of new DataSets in your
    Domo Warehouse, featuring an accelerated upload Stream. A Domo Stream
    expedites uploads by dividing your data into parts, and uploading all of
    these parts simultaneously.


    <!-- theme: info -->

    > ### Best Practices

    >

    > This API should be used to create and update massive, constantly changing,
    or rapidly growing DataSets. For creating and updating smaller DataSets that
    occasionally need data updated, leverage the DataSet API. 



    ## The Stream Object


    ## Stream Attributes

    Property Name | Type | Description

    ------- | ------- | -------

    id | Number | ID of the Stream

    modifiedAt | String | An ISO-8601 representation of the time the Stream was
    last updated

    updateMethod | String | The data import behavior

    createdAt | String | An ISO-8601 representation of the create date of the
    Stream


    ### Stream's DataSet Attributes

    Property Name | Type | Description

    ------- | ------- | -------

    id | String  | The UID of the DataSet associated to the Stream

    name | String | The description of the DataSet associated to the Stream

    description | String | The ID of the DataSet associated to the Stream

    rows | Number | The number of rows in the DataSet

    columns | Number | The number of columns in the DataSet's schema

    owner_id | Number | The ID of the owner of the Stream's underlying DataSet

    owner_name | String | The name of the owner of the Stream's underlying
    DataSet

    pdpEnabled | Boolean | Indicates if PDP [Personalized Data Permission]
    policy filtering on data is active on this DataSet
servers:
  - url: https://api.domo.com
    description: Domo API
security:
  - bearerAuth: []
paths:
  /v1/streams/search:
    parameters: []
    get:
      summary: Search Streams
      description: >-
        Returns all Stream objects that meet argument criteria from original
        request.
      parameters:
        - schema:
            type: string
            example: q=dataSource.id:1831cadd-9426-4dc0-ae02-cf2a0a89e70f
          in: query
          name: q
          description: >-
            The search qualifiers to search by available qualifiers:
            dataSource.id or dataSource.owner.id
          required: true
        - schema:
            type: string
          in: query
          name: fields
          description: >-
            Return desired fields: {all} or {id, dataset, updateMethod,
            createdAt, or modifiedAt}
      responses:
        '200':
          description: >-
            Returns all Stream objects that meet argument criteria from original
            request.
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: integer
                    dataSet:
                      type: object
                      properties:
                        id:
                          type: string
                        pdpEnabled:
                          type: boolean
                    updateMethod:
                      type: string
                    createdAt:
                      type: string
                    modifiedAt:
                      type: string
                x-examples:
                  Example 1:
                    - id: 42
                      dataSet:
                        id: 0c1e0dbe-9f71-4625-9b50-b79e6e4266f2
                        pdpEnabled: false
                      updateMethod: APPEND
                      createdAt: '2016-05-26T21:03:35Z'
                      modifiedAt: '2016-05-26T21:03:35Z'
              examples:
                Example 1:
                  value:
                    - id: 42
                      dataSet:
                        id: 0c1e0dbe-9f71-4625-9b50-b79e6e4266f2
                        pdpEnabled: false
                      updateMethod: APPEND
                      createdAt: '2016-05-26T21:03:35Z'
                      modifiedAt: '2016-05-26T21:03:35Z'
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````